<StructuredTextModel xmlns="http://schemas.datacontract.org/2004/07/Omron.Cxap.Modules.StructuredText.Core" xmlns:i="http://www.w3.org/2001/XMLSchema-instance"><Text>// V1.0 - SERIAL RECEIVE&#xD;
&#xD;
Trigger:=iStart;&#xD;
&#xD;
// Detect when Trigger changes to TRUE.&#xD;
IF ( (Trigger=TRUE) AND (LastTrigger=FALSE)&#xD;
	AND (iDataActiveStatus=TRUE) AND (istSerialRcv.Busy=FALSE) ) THEN&#xD;
    OperatingStart:=TRUE;&#xD;
    Operating:=TRUE;&#xD;
	DevicePort.DeviceType:=_eDEVICE_TYPE#_DeviceNXUnit;&#xD;
	DevicePort.NxUnit:=Node_location_information;&#xD;
	DevicePort.PortNo:=iPortNo;&#xD;
END_IF;&#xD;
LastTrigger:=Trigger;&#xD;
 &#xD;
// Set communications parameters and initialize SerialRcv instruction.&#xD;
IF (OperatingStart=TRUE) THEN&#xD;
    istSerialRcv(&#xD;
         Execute:=FALSE,      // Initialize instance.&#xD;
		 DevicePort:=DevicePort,		 &#xD;
         Size   :=UINT#512,    // Receive data size&#xD;
         RcvDat :=RecvDat[0], // Receive data&#xD;
         RcvSize=&gt;RecvSize); // Data size that was actually received&#xD;
    OperatingStart      :=FALSE;                                           &#xD;
END_IF;&#xD;
 &#xD;
// Execute SerialRcv instruction.&#xD;
IF (Operating=TRUE) THEN&#xD;
    istSerialRcv(&#xD;
         Execute :=TRUE,&#xD;
         DevicePort    :=DevicePort,&#xD;
         Size    :=UINT#512,&#xD;
         RcvDat  :=RecvDat[0],&#xD;
         RcvSize  =&gt;RecvSize);&#xD;
		&#xD;
    IF (istSerialRcv.Done=TRUE) THEN&#xD;
		&#xD;
		//Tolgo il terminatore&#xD;
		IF bTerminator &lt;&gt; BYTE#16#00 THEN&#xD;
				RecvSize:=RecvSize-INT#1;		&#xD;
		END_IF;&#xD;
        &#xD;
		// Processing after normal end&#xD;
        oRecvStringDat :=AryToString(In:=RecvDat[0], Size:=RecvSize);  // Convert character codes to a text string.&#xD;
		Code          :=STRING_TO_ULINT(oRecvStringDat);               // Convert text string to an integer.       &#xD;
        Operating     :=FALSE;&#xD;
		oDone:=TRUE;&#xD;
		oError:=FALSE;&#xD;
    END_IF;&#xD;
 &#xD;
   IF (istSerialRcv.Error=TRUE) THEN&#xD;
       // Processing after error end&#xD;
        Operating:=FALSE;&#xD;
		oDone:=FALSE;&#xD;
		oError:=TRUE;&#xD;
    END_IF;&#xD;
&#xD;
END_IF;&#xD;
&#xD;
IF iStart = FALSE THEN&#xD;
	oRecvStringDat:='';&#xD;
	Clear(RecvDat);&#xD;
    oDone:=FALSE;&#xD;
	oError:=FALSE;	&#xD;
END_IF;&#xD;
</Text></StructuredTextModel>